# Generated from ruby-plsql-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-plsql

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Ruby API for calling Oracle PL/SQL procedures
License: MIT
URL: http://github.com/rsim/ruby-plsql
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(juwelier) >= 2.0
# BuildRequires: rubygem(juwelier) < 3
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rubocop) = 0.81
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-rails)
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(activerecord) >= 5.0
# BuildRequires: rubygem(activerecord) < 6
# BuildRequires: rubygem(activerecord-oracle_enhanced-adapter) >= 1.7
# BuildRequires: rubygem(activerecord-oracle_enhanced-adapter) < 2
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(ruby-oci8) >= 2.1
# BuildRequires: rubygem(ruby-oci8) < 3
BuildArch: noarch

%description
ruby-plsql gem provides simple Ruby API for calling Oracle PL/SQL
procedures.
It could be used both for accessing Oracle PL/SQL API procedures in legacy
applications
as well as it could be used to create PL/SQL unit tests using Ruby testing
libraries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/.travis
%license %{gem_instdir}/License.txt
%{gem_instdir}/VERSION
%{gem_instdir}/ci
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/Vagrantfile
%{gem_instdir}/ruby-plsql.gemspec
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.8.0-1
- Initial package
